import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-base")
}

dependencies {
    val fabricVersion: String by rootProject.extra
    val commonsVersion: String by rootProject.extra
    include(modImplementation(fabricApi.module("fabric-lifecycle-events-v1", fabricVersion))!!)
    shadow("io.gitlab.jfronny:commons:$commonsVersion")
    shadow("io.gitlab.jfronny:commons-gson:$commonsVersion")
    shadow("io.gitlab.jfronny:commons-slf4j:$commonsVersion") {
        isTransitive = false
    }
}
