package io.gitlab.jfronny.libjf.config.impl;

import io.gitlab.jfronny.libjf.config.api.v1.ConfigInstance;
import io.gitlab.jfronny.libjf.config.api.v1.dsl.DSL;

public class ConfigCore {
    public static final String MOD_ID = "libjf-config-core-v1";
    public static final String MODULE_ID = "libjf:config";
    public static boolean watchForChanges = true;
    public static final ConfigInstance CONFIG_INSTANCE;

    static {
        CONFIG_INSTANCE = DSL.create(MOD_ID).register(builder -> builder
                .value("watchForChanges", watchForChanges, () -> watchForChanges, b -> watchForChanges = b)
        );
    }
}
