package io.gitlab.jfronny.libjf.config.test.reflect;

import io.gitlab.jfronny.libjf.LibJf;
import io.gitlab.jfronny.libjf.config.api.v1.dsl.ConfigBuilder;

import java.util.Objects;

public class TestConfigTweaker {
    public static ConfigBuilder<?> tweak(ConfigBuilder<?> builder) {
        if (!Objects.equals("libjf-config-reflect-v1-testmod", builder.getId())) throw new IllegalStateException("No!");
        LibJf.LOGGER.info("Called config tweaker");
        return builder.addMigration("joe", reader -> {
            TestConfig.disablePacks = reader.nextBoolean();
        });
    }
}
